import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：查询[部门]分页
   */
  page(form) {
    return HttpKit.post(`/platform/dept/page`, form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：查询[部门]列表
   */
  list(form) {
    return HttpKit.post(`/platform/dept/list`, form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：查询[部门]节点
   */
  nodes() {
    return HttpKit.post(`/platform/dept/nodes`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：保存/更新[部门]
   */
  saveOrUpdate(form) {
    return HttpKit.post(`/platform/dept/save-or-update`, form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：替换[部门]删除状态
   * @param id
   */
  handleIsDel(id) {
    return HttpKit.post(`/platform/dept/handle-is-del`, { id: id }).then(
      res => res.data
    )
  }

}
